|
From: <rus...@us...> - 2009-03-02 08:12:01
|
Revision: 386
http://gearbox.svn.sourceforge.net/gearbox/?rev=386&view=rev
Author: russo2503v
Date: 2009-03-02 08:11:52 +0000 (Mon, 02 Mar 2009)
Log Message:
-----------
adapted to new SF access procedures
Modified Paths:
--------------
gearbox/trunk/doc/rebuild_docco.sh
Modified: gearbox/trunk/doc/rebuild_docco.sh
===================================================================
--- gearbox/trunk/doc/rebuild_docco.sh 2009-02-18 02:11:54 UTC (rev 385)
+++ gearbox/trunk/doc/rebuild_docco.sh 2009-03-02 08:11:52 UTC (rev 386)
@@ -14,15 +14,33 @@
fi
}
-# doxygen
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <user-name>"
+ exit 1
+fi
+
DOXYGENCMD=/usr/bin/doxygen
DOXYFILE=doxyfile
TARBALL=gearbox-release-doc.tar.gz
+SFUSER=$1
+SFSCPHOST=web.sf.net
+SFSHELLHOST=shell.sf.net
+SFPROJECT=gearbox
+SFDIR=/home/groups/g/ge/gearbox/htdocs/gearbox
force ls
force $DOXYGENCMD $DOXYFILE
+
+# direct file copy, works but is very slow
+#scp -r html/* $SFUSER@$SFSCPHOST:$SFDIR/.
+
+# with tarball
force cd html
force tar --exclude=$TARBALL -zcvf $TARBALL *
-force scp $TARBALL shell.sourceforge.net:
+force scp $TARBALL $SFUSER@$SFSCPHOST:
-ssh shell.sourceforge.net "cd /home/groups/g/ge/gearbox/htdocs/; mv ~/$TARBALL .; tar -zxvf $TARBALL"
+# don't know how to combine this login with commands, do it manually
+echo "when connected execute this:"
+echo "cd $SFDIR; mv ~/$TARBALL .; tar -zxvf $TARBALL"
+echo "to quit, type 'shutdown'"
+force ssh -t $SFUSER,$SFPROJECT@$SFSHELLHOST create #"cd $SFDIR; mv ~/$TARBALL .; tar -zxvf $TARBALL"
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|